<!DOCTYPE html>
<html lang="en-US">
<head>
  <title>test of -moz-box-sizing</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta http-equiv="Content-Style-Type" content="text/css">
  <style type="text/css">

    body { font-size: 10px; line-height: 1; }
    table { border-spacing: 0; margin: 0 100px; }
    td { border: 1px solid; padding: 1px solid; }

    td > div { width: 100px; height: 350px;
               direction: rtl; position: relative; }

    td#bscontent > div > div { -moz-box-sizing: content-box; }
    td#bspadding > div > div { -moz-box-sizing: padding-box; }
    td#bsborder > div > div { -moz-box-sizing: border-box; }

    td > div > div {
      margin-left: 1px;
      border-left: 2px solid;
      padding-left: 4px;
      padding-right: 8px;
      border-right: 16px solid;
      margin-right: 32px;

      background: yellow;
      margin-bottom: 10px;
      position: absolute;
      height: 40px;
      right: 0;
    }

    td > div > div { top: 0px; }
    td > div > div + div { top: 50px; }
    td > div > div + div + div { top: 100px; }
    td > div > div + div + div + div { top: 150px; }
    td > div > div + div + div  + div + div { top: 200px; }
    td > div > div + div + div + div  + div + div { top: 250px; }
    td > div > div + div + div  + div + div  + div + div { top: 300px; }

  </style>
</head>
<body>

<table><tr>

<td id="bscontent"><div>

<!-- -moz-box-sizing: content-box -->
<div style="width: auto">A B</div>
<div style="width: -moz-intrinsic">A B</div>
<div style="width: -moz-min-intrinsic">A B</div>
<div style="width: -moz-shrink-wrap">A B</div>
<div style="width: -moz-fill">A B</div>
<div style="width: 50px">A B</div>
<div style="width: 60%">A B</div>

</div></td>

<td id="bspadding"><div>
<!-- -moz-box-sizing: padding-box -->
<div style="width: auto">A B</div>
<div style="width: -moz-intrinsic">A B</div>
<div style="width: -moz-min-intrinsic">A B</div>
<div style="width: -moz-shrink-wrap">A B</div>
<div style="width: -moz-fill">A B</div>
<div style="width: 50px">A B</div>
<div style="width: 60%">A B</div>

</div></td>

<td id="bsborder"><div>
<!-- -moz-box-sizing: border-box -->
<div style="width: auto">A B</div>
<div style="width: -moz-intrinsic">A B</div>
<div style="width: -moz-min-intrinsic">A B</div>
<div style="width: -moz-shrink-wrap">A B</div>
<div style="width: -moz-fill">A B</div>
<div style="width: 50px">A B</div>
<div style="width: 60%">A B</div>

</div></td>

</tr></table>

</body>
</html>
